// App A, p A44

void SkipBlanks(ifstream& F)
// Skips blanks in a text file.
{
   while (F.peek() == ' ')
      F.ignore();
}  // end SkipBlanks

void EchoLine(ifstream& F)
// Displays one line of a text file.
{
	int X;

   while (F.peek() != '\n')
   {  F >> X;
		SkipBlanks(F);
		cout << X << " ";
	}  // end while

	cout << "\n";
	F.ignore();  // advance beyond \n
}  // end EchoLine

void EchoFile(nameType FileName)
// Displays the contents of a text file.
{
	ifstream F(FileName);

	SkipBlanks(F);
	while (F.peek() != EOF)
		EchoLine(F);

	F.close();
}  // end EchoFile

