// Chap 6, pp 267
// Rename this file as StackL.h

// *********************************************************
// Header file StackL.h for the ADT stack.
// ADT list implementation.
// *********************************************************
#include "ListP.h"
typedef listItemType stackItemType;  // desired-type-of-stack-item

class stackClass
{
public:
// constructor and destructor:
   stackClass();        	     // constructor
   stackClass(const stackClass& S);  // copy constructor
   ~stackClass();                    // destructor

// stack operations:
   boolean StackIsEmpty();
   void Push(stackItemType NewItem, boolean& Success);
   void Pop(boolean& Success);
   void GetStackTop(stackItemType& StackTop, 
                    boolean& Success);

private:
   listClass L;  // list ofstack items
};  // end class
// End of header file.