// Chap 8, p357

ballClass::ballClass(double R, stringType N) : sphereClass(R)
{
   SetName(N);
}  // end constructor

ballClass::ballClass(const ballClass& B): sphereClass(B)
{
   SetName(B.TheName);
}  // end copy constructor

ballClass::~ballClass()
{
}  // end destructor

stringType ballClass::Name() 
{ 
   return TheName;
}  // end Name

void ballClass::SetName(stringType N)
{
   strcpy(TheName, N);
}  // end SetName

void ballClass::ResetBall(double R, stringType N)
{
   SetRadius(R);
   SetName(N);
}  // end ResetBall

void ballClass::DisplayStatistics()
{
   cout << "Statistics for a " << Name() << ":";
   sphereClass::DisplayStatistics();
}  // end DisplayStatistics
