// AppA45

#include <fstream.h>

const int NAME_LENGTH = 12;
typedef char nameType[NAME_LENGTH+1];

void CopyTextFile(nameType OriginalFileName,
                  nameType CopyFileName)
// ---------------------------------------------------------
// Makes a duplicate copy of a text file.
// Precondition: OriginalFileName is the name of an existing
// external text file and CopyFileName is the name of the
// text file to be created.
// Postcondition: The text file named CopyFileName is a
// duplicate of the file named OriginalFileName.
// ---------------------------------------------------------
{
   ifstream OriginalFile(OriginalFileName);  // input file
   ofstream CopyFile(CopyFileName);          // output file
   char     Ch;

   cout << "Beginning file copy...\n";

   // copy characters one at a time from given file
   // to new file
   while (OriginalFile.get(Ch))
      CopyFile << Ch;

   OriginalFile.close();  // close the files
   CopyFile.close();

   cout << "File copy completed.\n";
}  // end CopyTextFile

// ******SAMPLE MAIN PROGRAM******
main()
{
	CopyTextFile("ORIGFILE.DAT", "COPYFILE.DAT");
	return 0;
}
