// Chap 11, p 543
// Rename this file as PQ.h.
// (implementation file is in C11P544.cpp)

// *********************************************************
// Header file PQ.h for the ADT Priority Queue.
// Heap Implementation.
// *********************************************************
#include "Heap.h"  // ADT heap operations
typedef heapItemType pqItemType;

class pqClass
{
public:
   // constructors and destructor:
   pqClass();
   pqClass(const pqClass& PQ);
   virtual ~pqClass();

// priority queue operations:
   virtual boolean PQueueIsEmpty();
   virtual void PQueueAdd(pqItemType NewItem,
								  boolean& Success);

   virtual void PQueueRemove(pqItemType& PriorityItem, 
                             boolean& Success);
   
private:
	heapClass H;
};  // end class
// End of header file.
