// c2Spock, pp 78 - 79

#include <iostream.h>

int C(int N, int K)
// ---------------------------------------------------
// Computes the number of ways of choosing K out of N 
// things.
// Precondition: N and K are nonnegative integers.
// Postcondition: Returns C(N, K).
// ---------------------------------------------------
{
   if ( (K == 0) || (K == N) )
      return 1;

   else if (K > N)
      return 0;

   else
      return C(N-1, K-1) + C(N-1, K);
}  // end C

//  *****SAMPLE MAIN PROGRAM *****
main()
{  cout << "C(4,2) = " << C(4,2) <<"\n";
   cout << "C(4,8) = " << C(4,8) <<"\n";
   cout << "C(4,4) = " << C(4,4) <<"\n";
   cout << "C(4,0) = " << C(4,0) <<"\n";
   return(0);
}
