// Chap 7, p322
// Rename this file as QueueL.h

// ********************************************************
// Header file QueueL.h for the ADT queue.
// ADT list implementation.
// ********************************************************
#include "ListP.h"  // ADT list operations
typedef listItemType queueItemType;  // desired-type-of-queue-item

class queueClass
{
public:
// constructors and destructor:
   queueClass();                    // constructor
   queueClass(const queueClass& Q); // copy constructor
   ~queueClass();                   // destructor

// queue operations:
   boolean QueueIsEmpty();
   void QueueAdd(queueItemType NewItem, boolean& Success);
   void QueueRemove(boolean& Success);
   void GetQueueFront(queueItemType& QueueFront, boolean& Success);

private:
   listClass L;  // list of queue items
};  // end class
// End of header file.