// Chap 8, p 371

#include <iostream.h>
const double PI = 3.14159;
class equidistantClass  // abstract base class
{
public:
   virtual double Radius() = 0;
   virtual void SetRadius(double R) = 0;
   virtual void DisplayStatistics() = 0;
};

class sphereClass: public equidistantClass
{
public:
   sphereClass(double R);
   sphereClass();
   sphereClass(const sphereClass& S);
   virtual ~sphereClass();

   virtual double Radius();
   virtual void SetRadius(double R);
   virtual double Diameter();
   virtual double Circumference();
   virtual double Area();
   virtual double Volume();
   virtual void DisplayStatistics();

private:
   double TheRadius;
};  // end class
