// Chap 8, p378 - 379

class sortedListClass
{
public:
// constructors and destructor:
   sortedListClass();
   sortedListClass(const sortedListClass& SL);
   virtual ~sortedListClass();

// sorted list operations:
   virtual int SortedListLength();
   virtual boolean SortedListIsEmpty();
   virtual void SortedListInsert(listItemType NewItem,
				 boolean& Success);
   virtual void SortedListDelete(listItemType Item,
				 boolean& Success);
   virtual void SortedListRetrieve(int Position,
				   listItemType& DataItem,
				   boolean& Success);
   virtual void LocatePosition(listItemType DataItem,
			       int& Position,
			       boolean& Success);
   virtual void DisplayList();

private:
   listClass List;
};  // end class

   void sortedListClass::SortedListInsert(listItemType NewItem,
				 boolean& Success)
   {
      int NewPosition;
      LocatePosition(NewItem, NewPosition, Success);
      List.ListInsert(NewPosition, NewItem, Success);
   }  // end SortedListInsert