// Chap 8, pp380 - 381
// Rename this file as ListT.h

// *********************************************************
// Header file ListT.h.
// Pointer-based implementation - TEMPLATE VERSION
// *********************************************************
#include <iostream.h>
#include "boolean.h"

template <class T> struct listNode;  // defined in implementation file

template <class T> class listClass
{
public:
// constructors and destructor:
   listClass();
   listClass(const listClass<T>& L);
   virtual ~listClass();

// list operations:
   virtual int ListLength();
   virtual boolean ListIsEmpty();
   virtual void ListInsert(int NewPosition, T NewItem,
                           boolean& Success);
   virtual void ListDelete(int Position, boolean& Success);
   virtual void ListRetrieve(int Position, T& DataItem, 
                             boolean& Success);
   virtual void DisplayList();

protected:
   void SetSize(int NewSize);
   listNode<T>* ListHead();
   void SetHead(listNode<T>* NewHead);
   T ListItem(listNode<T>* P);
   listNode<T>* ListNext(listNode<T>* P);

private:
   listNode<T>* PtrTo(int Position);

   int          Size;
   listNode<T>* Head;
};  // end class
// End of header file.
