// Chpa 8, p385

void listClass::operator=(const listClass& L)
{
   Size = L.Size;  // copy size of old list

   if (L.Head == NULL)
      Head = NULL;  // original list is empty
   else
   {  // copy first node
      Head = new listNode;
      assert(Head != NULL);  // check allocation
      Head->Item = L.Head->Item;

      // copy rest of list
      ptrType NewPrev = Head;  // new list pointer
      for (ptrType OrigCur = L.Head->Next;
		   OrigCur != NULL;
		   OrigCur = OrigCur->Next)
      {  NewPrev->Next = new listNode;
	 assert(NewPrev->Next != NULL);
	 NewPrev = NewPrev->Next;
	 NewPrev->Item = OrigCur->Item;
      }  // end for

      NewPrev->Next = NULL;
   }  // end if
}  // end operator=